#############[ AUTHENTICATION AND AUTHORIZATION ]############
# ...

# Раскомментируйте настройки, если шифруете пароли от хранилища ключей/truststore
#corax.ui.security.encoding.class=ru.sbt.ss.password.decoder.SimpleTextPasswordDecoder
#corax.ui.security.encoding.key=/path/to/kafka/encrypt.pass
#corax.ui.security.encoding.salt=ru.sbt.ss.password.salt.SbtSaltProvider
# пример настройки с зашифрованным паролем
#spring.kafka.ssl.trust-store-password=${decrypt:encryptedPassword}

spring.kafka.security.protocol=SSL
spring.kafka.ssl.key-store-location=file://path/to/kafka/keystore.jks
spring.kafka.ssl.trust-store-location=file://path/to/kafka/truststore.jks
spring.kafka.ssl.key-store-password=password
spring.kafka.ssl.trust-store-password=password
spring.kafka.ssl.key-password=password

spring.kafka.admin.ssl.key-store-location=file://path/to/kafka/keystore.jks
spring.kafka.admin.ssl.trust-store-location=file://path/to/kafka/truststore.jks
spring.kafka.admin.ssl.key-store-password=password
spring.kafka.admin.ssl.trust-store-password=password
spring.kafka.admin.ssl.key-password=password
spring.kafka.admin.properties.ssl.endpoint.identification.algorithm=
spring.kafka.admin.properties.ssl.cipher.suites=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256

spring.kafka.ui.producer.ssl.key-store-location=file://path/to/kafka/keystore.jks
spring.kafka.ui.producer.ssl.trust-store-location=file://path/to/kafka/truststore.jks
spring.kafka.ui.producer.ssl.key-store-password=password
spring.kafka.ui.producer.ssl.trust-store-password=password
spring.kafka.ui.producer.ssl.key-password=password
spring.kafka.ui.producer.properties.ssl.endpoint.identification.algorithm=

spring.kafka.ui.consumer.ssl.key-store-location=file://path/to/kafka/keystore.jks
spring.kafka.ui.consumer.ssl.trust-store-location=file://path/to/kafka/truststore.jks
spring.kafka.ui.consumer.ssl.key-store-password=password
spring.kafka.ui.consumer.ssl.trust-store-password=password
spring.kafka.ui.consumer.ssl.key-password=password
spring.kafka.ui.consumer.properties.ssl.endpoint.identification.algorithm=